title = "test-elenco-prodotti"
url = "/test-elenco-prodotti"
is_hidden = 0
==
<?php
function onInit() {
    
    // Approccio alla product collection sua
    $productColletion = \Lovata\Shopaholic\Classes\Collection\ProductCollection::make([]);
    $productColletion->active();
    $this['arProductList'] = $productColletion;
    
    // Approccio con accesso diretto al model
    $this['obProducts'] = \Lovata\Shopaholic\Models\Product::all();    
}
?>
==
<h2>Lista arProductList</h2>
<ul class="catalog__list list-unstyled flex-wrap row">
    {% for obProduct in arProductList %}
        <li class="catalog__item col-lg-4 col-sm-6 col-12">
            {{ obProduct.name }}
        </li>
    {% endfor %}
</ul>


<h2>Approccio con lettura diretta sul model, no caching</h2>
{% for product in obProducts %}
<li> {{ product.name }}</li>
{% endfor %}